package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.ReturnFeeEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(sys_user_cash_account_log):
 */
public class SysUserCashAccountLog extends BaseEntity {

	@ApiModelProperty(value = "id")
	private Integer id;

	@ApiModelProperty(value = "用户编号")
	private Integer userId;

	@ApiModelProperty(value = "学员姓名")
	private String username;

	@ApiModelProperty(value = "分部")
	private Integer organId;

	@ApiModelProperty(value = "分部")
	private String organName;

	@ApiModelProperty(value = "课程组类型")
	private GroupType groupType;

	@ApiModelProperty(value = "课程组编号")
	private String groupId;

	@ApiModelProperty(value = "课程组名称")
	private String groupName;

	@ApiModelProperty(value = "退费金额")
	private BigDecimal amount;

	@ApiModelProperty(value = "退费类型")
	private ReturnFeeEnum returnFeeType;

	@ApiModelProperty(value = "打款时间")
	private Date payTime;

	@ApiModelProperty(value = "交易流水号")
	private String transNo;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "修改时间")
	private Date updateTime;

	@ApiModelProperty(value = "备注")
	private String comment;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public ReturnFeeEnum getReturnFeeType() {
		return returnFeeType;
	}

	public void setReturnFeeType(ReturnFeeEnum returnFeeType) {
		this.returnFeeType = returnFeeType;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public String getTransNo() {
		return transNo;
	}

	public void setTransNo(String transNo) {
		this.transNo = transNo;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
